Subject: bug#28349: 26.0.50; compilation mode syntax highlighting incorrect

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Sep 2017 19:56:50 +0300

> From: Richard Copley <[email-masked]>
> Date: Mon, 11 Sep 2017 16:33:05 +0100
> Cc: Tom Tromey <[email-masked]>, [email-masked]
> 
> The call to string-match clobbers the correct match data, which was
> obtained just before by re-search-forward, in compilation-parse-errors.
> 
> FYI this is not new and not related to Tom's change as far as I can see.
> 
> In compilation-parse-errors (compile.el:1426) (upcase comments added):
> 
> [...]
> (goto-char start)
> (while (re-search-forward pat end t) ;; SET MATCH-DATA
> (when (setq props (compilation-error-properties ;; CLOBBER IT
> file line end-line col end-col (or type 2) fmt))
> [...]
> ;; USE IT

Thanks.  Can you post a short file which exhibits the problem under
compilation-mode?  I tried to use your examples in this discussion,
but none of them triggers these errors, so I'm probably missing
something.